org.eclnt.util.image

## Class FontImageCreator

- java.lang.Object
- - org.eclnt.util.image.FontImageCreator

-     public class FontImageCreator
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontImageCreator()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.awt.image.BufferedImage` | `createAwesomeFontImage(java.lang.String imageCommand)`
    `static java.awt.image.BufferedImage` | `createFontImage(java.lang.String imageCommand)`
    `static java.awt.image.BufferedImage` | `createImageFromText(java.lang.String text, java.awt.Font font, java.awt.Color color)`
    `static java.awt.image.BufferedImage` | `createSAPIconsFontImage(java.lang.String imageCommand)`
    `static void` | `initialize(ServletContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FontImageCreator

          public FontImageCreator()

  - ### Method Detail

    - #### initialize

          public static void initialize(ServletContext context)

    - #### createFontImage

          public static java.awt.image.BufferedImage createFontImage(java.lang.String imageCommand)

    - #### createAwesomeFontImage

          public static java.awt.image.BufferedImage createAwesomeFontImage(java.lang.String imageCommand)

    - #### createSAPIconsFontImage

          public static java.awt.image.BufferedImage createSAPIconsFontImage(java.lang.String imageCommand)

    - #### createImageFromText

          public static java.awt.image.BufferedImage createImageFromText(java.lang.String text,
                                                                         java.awt.Font font,
                                                                         java.awt.Color color)

Copyright © CaptainCasa Gmbh. All Rights Reserved.